include:
  template: Serverless.gitlab-ci.yml

🐳build:
  only:
    - master
    - merge_requests
  extends: .serverless:build:image

🚀deploy:
  only:
    - master
    - merge_requests
  extends: .serverless:deploy:image
  environment:
    name: ${CI_COMMIT_REF_SLUG}
    url: http://${CI_PROJECT_NAME}.${CI_PROJECT_NAME}-${CI_PROJECT_ID}-${CI_COMMIT_REF_SLUG}.${KUBE_INGRESS_BASE_DOMAIN}
    on_stop: 😢stop-review

😢stop-review:
  only:
    - merge_requests
  when: manual
  extends: .serverless:deploy:image
  environment:
    name: ${CI_COMMIT_REF_SLUG}
    action: stop
